Description

The "Rockomax Kleenex" (attached) demonstrates the issue using 6 parts. The lower FL-R1 tank falls off as soon as the craft is
launched.

This started happening on the 0.20.2 update.
Related issues, without documented test cases: Jumbo 64 tanks and X200-32 tanks often fall apart, and require extra struts to keep

them together. Sometimes no number of struts is enough. The Rockomax Kleenex is only the most dramatic example, as it happens
on the launch pad. Tanks on reasonable jumbo rockets can inexplicably lose their connections any time between launch and orbit.

History

#1 - 06/21/2013 06:26 PM - rditto48801

For the example rocket you provided here, the problem is the FL-R1 RCS fuel tanks.
Unlike (most if not all of) the 2.5m liquid fuel/oxidizer tanks and 2.5m engines, the FL-R1 RCS fuel tank lacks the "breakingForce = 200" and
"breakingTorque = 200" entries in the config file.

That makes the FL-R1 even more flimsy compared

3

Edit: Slight error on my part, the smaller fuel tanks (even the probe fuel tanks) have a rating of 50.
to even the smaller of the assorted fuel tanks.
End edit:

If I am not mistaken, the FL-R1 has been like that since they were first added to KSP.
| am under the impression they are mainly intended for upper stages, and not meant for lower or main lifting stages.

| say this because the same basic subject popped up | think back with KSP 0.17.x, and nothing was done then, and they were still like that in 0.19.x
(of which | have a backup of), so it is likely intentional. (Or one very long bit of developer oversight if not intentional.)

#2 - 06/22/2013 07:49 PM - The_Right_Trousers

I'm guessing you haven't tried the Rockomax Kleenex on an earlier version of KSP to verify that it's ONLY the FL-R1 that's the problem in that ship. |
haven't, either, because | get KSP through Steam.

| know you're just repeating rationale, but I'm gonna rebut anyway: using stuff for other than what it's intended for is half the fun of building in KSP. |
discovered that the FL-R1 was gimpy when building an orbital refueling station, trying to make it as symmetric as possible (i.e. radially and
top/bottom). That's a reasonable use.

#3 - 06/24/2013 12:25 AM - rditto48801

Note: | Edited my previous post after noticing an error, due to what | found while digging through part files to confirm a few things.

Digging through the files some more after noting a few 'out of place' things in my test flights (which included various attempts to break or not break
variations of the craft), | discovered even the smaller fuel tanks (including the probe fuel tanks) actually do have a breakingForce/Torque rating of 50.
That makes the FL-R1 seem even less suited to be anywhere in the main lift/ascent stages that pack a lot of thrust.

| did do some more testing of the Rockomax Kleenex (and a few variations), including a few test flights in 0.19.1, and some more in 0.20.2. No real
changes compared to previous test flights.

The FL-R1 is (still) a weak link.

Having a Mainsail at 60% throttle or higher will likely cause things to break with the FL-R1.

A Skipper (in place of the Mainsail) at 100% throttle does not seem to cause such breakages.

Alternative engine layouts with comparable levels of thrust had similar results. To much force from thrust applied to it and the FL-R1 breaks.
Slapping the Mainsail directly on the Jumbo 64 and having both FL-R1s toward the top also works to make the craft much less likely to have stuff
break.
Considering that | lost a number of rockets back in 0.17.x, due to breaks involving the FL-R1 on heavy lifting stages meant to be 'reusable’ (3 or 5
mainsails total pushing up the center stack), this is not to surprising.

Overall, this makes the Rockomax Kleenex a craft that seems to be designed to be easy to break if a delicate touch is not applied while flying it.
On the flip side, it does not provide an example of a break occurring between two Rockomax fuel tanks, of which | was under the impression of being
the main subject of this bug report.

On a side note, | think the Steam version of KSP is supposed to have the 'Beta' option (somewhere under KSP's Properties in Steam) available to
allow access to earlier stable builds of KSP, like 0.19.17? (if so, backup your 0.20.2 files before trying an earlier version)

#4 - 07/02/2013 09:03 AM - Ruedii

I've experienced this as well. It seems to affect all stock large diameter parts. It also affects many modded large diameter parts.

It is particularly bad when you place something between the fuel tank and engine.

#6 - 07/08/2015 02:41 PM - RexKramer
- Status changed from New to Resolved

- % Done changed from 0 to 100

This appears to have been resolved at some point. The attach nodes for the large RCS, large ASAS, and large Stack Seperator were incorrect,
which was probably the cause of this bug. As of 1.0.4 the attach nodes for those parts appears correct, and | am no longer able to reproduce this
bug.

#7 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
